java.awt

## Enum MultipleGradientPaint.ColorSpaceType

- java.lang.Object
- - java.lang.Enum<MultipleGradientPaint.ColorSpaceType>
  - - java.awt.MultipleGradientPaint.ColorSpaceType

All Implemented Interfaces:
  Serializable, Comparable<MultipleGradientPaint.ColorSpaceType>

Enclosing class:
  MultipleGradientPaint

    public static enum MultipleGradientPaint.ColorSpaceType
    extends Enum<MultipleGradientPaint.ColorSpaceType>

The color space in which to perform the gradient interpolation.

Since:
  1.6

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LINEAR_RGB` Indicates that the color interpolation should occur in linearized RGB space.
`SRGB` Indicates that the color interpolation should occur in sRGB space.

### Method Summary

Methods
`static MultipleGradientPaint.ColorSpaceType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MultipleGradientPaint.ColorSpaceType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SRGB

    public static final MultipleGradientPaint.ColorSpaceType SRGB

Indicates that the color interpolation should occur in sRGB space.

#### LINEAR_RGB

    public static final MultipleGradientPaint.ColorSpaceType LINEAR_RGB

Indicates that the color interpolation should occur in linearized RGB space.

### Method Detail

#### values

    public static MultipleGradientPaint.ColorSpaceType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MultipleGradientPaint.ColorSpaceType c : MultipleGradientPaint.ColorSpaceType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MultipleGradientPaint.ColorSpaceType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.